Bug 1461837 - Core dump when use "data-plane" and execute change cd
Core dump when use "data-plane" and execute change cd
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.3
x86_64 Linux
urgent Severity high
: rc
: ---
Assigned To: Fam Zheng
aihua liang
: Regression, ZStream
Depends On: 1378816
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 08:33 EDT by Oneata Mircea Teodor
Modified: 2017-07-05 04:15 EDT (History)
19 users (show)

See Also:
Fixed In Version: qemu-kvm-rhev-2.6.0-28.el7_3.12
Doc Type: Bug Fix
Doc Text:
Previously, when the data plane was in use, changing the target image of a virtual SCSI CD device caused the guest to terminate unexpectedly with a core dump. With this update, the virtio-scsi bus rejects SCSI CDs when the data plane is active, which prevents the crash from occurring. Note that this is a temporary solution, and a full fix to make the data plane and SCSI CD compatible will be provided in the future.
Story Points: ---
Clone Of: 1378816
Environment:
Last Closed: 2017-07-05 04:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oneata Mircea Teodor 2017-06-15 08:33:59 EDT
This bug has been copied from bug #1378816 and has been proposed
to be backported to 7.3 z-stream (EUS).
Comment 5 Miroslav Rezanina 2017-06-23 04:19:07 EDT
Fix included in qemu-kvm-rhev-2.6.0-28.el7_3.12
Comment 7 aihua liang 2017-06-27 04:46:52 EDT
Verified, the problem has been resolved, so set its status to "Verified".

Test Env:
  kernel version:3.10.0-514.el7.x86_64
  qemu-kvm-rhev version: qemu-kvm-rhev-2.6.0-28.el7_3.12.x86_64


Test Steps:
 1.Start guest with qemu cmd:
     /usr/libexec/qemu-kvm \
    -sandbox off  \
    -machine pc  \
    -nodefaults  \
    -vga cirrus  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/var/tmp/monitor-qmpmonitor1-20170614-233639-etu9X2zc,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=qmp_id_catch_monitor,path=/var/tmp/monitor-catch_monitor-20170614-233639-etu9X2zc,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control \
    -object iothread,id=iothread0 \
    -drive id=drive_image1,if=none,snapshot=off,aio=native,cache=none,format=qcow2,file=/home/kvm_autotest_root/images/rhel74-64-virtio.qcow2 \
    -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=1,bus=pci.0,addr=0x3 \
    -device virtio-scsi-pci,id=scsi1,iothread=iothread0 \
    -drive if=none,cache=none,media=cdrom,id=drive_cd,readonly=on,file=/home/kvm_autotest_root/iso/linux/RHEL7.4-Server-x86_64.iso \
    -device scsi-cd,id=device_cd,drive=drive_cd,bus=scsi1.0 \
    -device virtio-net-pci,mac=9a:43:44:45:46:47,id=idvMp6XX,vectors=4,netdev=id9qJxPT,bus=pci.0 \
    -netdev tap,id=id9qJxPT,vhost=on \
    -m 4096  \
    -smp 6,cores=2,threads=1,sockets=3  \
    -cpu host \
    -vnc :0  \
    -rtc base=utc,clock=host,driftfix=slew  \
    -enable-kvm \
    -monitor stdio \

Test Result:
  Start guest failed with error msg:
"qemu-kvm: -device scsi-cd,id=device_cd,drive=drive_cd,bus=scsi1.0: scsi-cd is not supported by data plane"
Comment 9 errata-xmlrpc 2017-07-05 04:15:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1682

Note You need to log in before you can comment on or make changes to this bug.